* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/* SITE-STARTED */

html {
    scroll-behavior: smooth;
}

body {
    font-family: 'Poppins', sans-serif;

}

/* NAVBAR-STARTED */

nav {
    width: 100%;
}

.container {
    max-width: 1400px;
    margin: 0 auto;
    padding: 0 10px;
}

.navbar {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding-top: 25px;
}

.site-logo-name-link {
    cursor: pointer;
    transition: 0.5s ease-in-out;
    text-decoration: none;
}

.site-logo-name-link:hover .site-logo-name {
    transform: scale(1.1);
}

.site-logo-name {
    font-size: 40px;
    cursor: pointer;
    transition: 0.5s ease-in-out;
    color: #24DC9F;
}

.nav-navigation-list {
    display: flex;
    list-style: none;
}


.nav-navigation-links {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: normal;
    font-size: 18px;
    color: #021206;
    text-decoration: none;
    margin: 0 26px;
    cursor: pointer;
    transition: 0.5s ease-in-out;
}

.nav-navigation-links:hover {
    color: #24DC9F;
}

.navbar-links {
    padding: 15px 30px;
    text-decoration: none;
}

.login {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 700;
    font-size: 18px;
    line-height: 27px;
    color: #021206;
    opacity: 0.7;
    cursor: pointer;
    transition: 0.5s ease-in-out;
}

.login:hover {
    color: #F44545;
}

.sign-up {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 500;
    font-size: 18px;
    line-height: 27px;
    color: #FFFFFF;
    border: 2px solid #F44545;
    background: #F44545;
    border-radius: 6px;
    cursor: pointer;
    transition: 0.5s ease-in-out;
}

.sign-up:hover {
    color: #F44545;
    background: #fff;
}

/* NAVBAR-ENDED */


/* HERO-SECTION-STARTED */

.hero-wrapper {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-gap: 20px;
    padding-top: 50px;
}

.hero-cards {
    display: flex;
    flex-direction: column;
}

.hero-card-header {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 600;
    font-size: 54px;
    color: #021206;
    padding-top: 40px;
}

span {
    font-size: 50px;
    color: #24DC9F;
}

.hero-page-text {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: normal;
    font-size: 21px;
    color: #021206;
    margin-top: 25px;
}

.hero-img {
    width: 100%;
}

form {
    display: flex;
    align-items: center;
    margin-top: 30px;
}

.hero-input {
    width: 100%;
    font-family: 'Poppins';
    font-style: normal;
    font-weight: normal;
    font-size: 18px;
    color: #021206;
    background-color: #fff;
    padding: 25px 24px;
    border-bottom: 2px solid #000;
    border-radius: 6px;
    
}

.hero-input::placeholder {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: normal;
    font-size: 18px;
    color: #021206;
}

.sub-input {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 500;
    font-size: 21px;
    color: #FFFFFF;
    padding: 10px 33px;
    transform: translateX(-140px);
    background-color: #F44545;
    border: 2px solid #F44545;
    cursor: pointer;
    transition: 0.5s ease-in-out;
    border-radius: 6px;

}

.sub-input:hover {
    color: #F44545;
    background: #FFFFFF;
}


/* HERO-SECTION-ENDED */

/* MAIN */

/* ADD-SECTION */

.add-section {
    width: 100%;
    background: #8EE6C9;
    padding: 20px 0;
}

.add-wrapper {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-gap: 20px;
}

.add-cards {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: row;
}

.add-part-images {
    cursor: pointer;
    transition: 0.5s ease-in-out;
    padding: 20px 0;
}

.add-part-images:hover {
    transform: scale(1.1);
}

/* SERVICE-PART */

.service-wrapper {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    grid-gap: 20px;
    margin-top: 50px;
    text-align: center;
}

.first-card {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-gap: 20px;
    cursor: pointer;
    transition: 0.5s ease-in-out;
}

.service-incards {
    padding: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    border: 2px solid silver;
    cursor: pointer;
    transition: 0.5s ease-in-out;
}

.service-incards:hover {
    background-color: silver;
    color: #fff;
    border-radius: 15px;
}

.service-incards-img-wrapper {
    padding: 21px;
}

.service-incards-header {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 600;
    font-size: 21px;
    color: #021206;
    margin: 10px 0;
}
.service-incards-text {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: normal;
    font-size: 16px;
    color: #021206;
    opacity: 0.7;
}

.in-red {
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #F44545;
    border-radius: 10px ;
}

.second-card {
    margin: 50px 0;
}

.second-card-header {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 600;
    font-size: 45px;
    color: #021206;
}

.second-card-texts {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: normal;
    font-size: 18px;
    color: #021206;
    margin: 8px 0;
}

.second-card-buttons {
    margin-top: 50px;
}

.second-card-btn {
    color: #fff;
    border: 2px solid #282323;
    background-color: #282323;
    cursor: pointer;
    transition: 0.5s ease-in-out;
}

.second-card-btn:hover {
    color: #282323;
    
}


/* FEATURE-PART */

.feature-wrapper {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-gap: 20px;
    margin: 30px 0;
}

.feature-img {
    width: 100%;
}

.feature-header {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 600;
    font-size: 45px;
    color: #021206;
    margin-top: 50px;
}

.feature-text {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 500;
    font-size: 18px;
    color: #021206;
    margin: 20px 0;
}

.feature-incards {
    display: flex;
    align-items: center;
    margin: 5px 0;
}

.feature-incards-header {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: normal;
    font-size: 18px;
    color: #021206;
    margin-left: 11px;
}


/* SECURITY-PART */

.security-wrapper {
    display: grid;
    grid-template-columns: repeat(2 ,1fr);
    grid-gap: 20px;
}
s
.security-cards {
    display: flex;
    align-items: flex-start;
    flex-direction: column;
}

.security-img {
    width: 100%;
}

.security-header {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 600;
    font-size: 45px;
    color: #021206;
}

.security-text {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: normal;
    font-size: 18px;
    color: #021206;
    margin: 20px 0;
}


/* ABOUT-PART */

.about-part {
    padding: 20px 0;
    background-color: #8EE6C9;
}


.about-wrapper {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-gap: 20px;
}

.about-header {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 600;
    font-size: 45px;
    color: #021206;
}

.about-text {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: normal;
    font-size: 18px;
    color: #021206;
    margin: 10px 0;
}

.download-btn {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 500;
    font-size: 20px;
    color: #FFFFFF;
    padding: 15px 32px;
    background-color: #F44545;
    text-decoration: none;
    border: 2px solid #F44545;
    cursor: pointer;
    transition: 0.5s ease-in-out;
    border-radius: 6px;
    margin-top: 30px;

}

.download-btn:hover {
    background-color: #fff;
    color: #F44545;
    margin-top: 50px;
}

    
.about-img {
    width: 100%;
}

.about-first-card {
    display: flex;
    align-items: flex-start;
    flex-direction: column;
}



/* FOOTER */
footer {
    padding: 20px 0;
    background: #8EE6C9;
}

.footer-wrapper {
    display: grid;
    grid-template-columns: repeat(4 , 1fr);
    grid-gap: 20px;
}

.footer-cards {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

.footer-card-header {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 500;
    font-size: 21px;
    color: #021206;
    margin-bottom: 15px;
}

.footer-text {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: normal;
    font-size: 16px;
    color: #021206;
    margin: 5px 0;
    cursor: pointer;
    transition: 0.5s ease-in-out;
}

.footer-text:hover {
    color: #F44545;
}

.site-logo-img {
    width: 100%;
    cursor: pointer;
    transition: 0.5s ease-in-out;
}

.site-logo:hover {
    transform: scale(1.1);
    margin-top: 50px;
}

/* SITE-ENDED */

/* MEDIA QUERIES */


@media (max-width: 1025px) {
    .container {
        margin: 0 20px;
    }

    .hero-wrapper {
        grid-template-columns: repeat(1, 1fr);
    }

    .hero-cards {
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
    }

    .hero-input {
        text-align: center;
    }

    .sub-input {
        margin-left: 50px;
        transform: translateX(0);
    }

    .add-wrapper {
        grid-template-columns: repeat(2, 1fr);
    }

    .service-cards {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
    }

    .feature-wrapper {
        grid-template-columns: repeat(1, 1fr);
        grid-gap: 20px;
    }

    .feature-cards {
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
    }

}


@media (max-width: 950px) {
    .container {
        margin: 0 20px;
    }

    .nav-navigation-list {
        display: none;
    }

    .add-wrapper {
        grid-template-columns: repeat(1, 1fr);
    }

    .service-cards {
        display: grid;
        grid-template-columns: repeat(1, 1fr);
    }

    .security-wrapper {
        grid-template-columns: repeat(1, 1fr);
    }

    .security-cards {
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
        text-align: center;
    }

    .about-wrapper {
        grid-template-columns: repeat(1, 1fr);
        grid-gap: 20px;
    }

    .about-first-card {
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
        text-align: center;
    }

    .footer-wrapper {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (max-width: 768px) {
    .container {
        width: auto;
        margin: 0 auto;
        padding: 0 10px;
    }

    .hero-wrapper {
        text-align: center;
    }

    .footer-wrapper {
        grid-template-columns: repeat(1, 1fr);
    }

    .footer-cards {
        margin-top: 30px;
    }
}

@media (max-width: 510px) {
    .container {
        width: auto;
        margin: 0 auto;
        padding: 0 10px;
    }

    .site-logo-name {
        font-size: 30px;
    }

    .sign-up {
        padding: 10px 15px;
    }
}

@media (max-width: 450px) {
    .container {
        width: auto;
        margin: 0 auto;
        padding: 0 10px;
    }

    .navbar {
        display: flex;
        align-items: center;
        justify-content: center;
    }


    .site-logo-name {
        font-size: 40px;
        text-align: center;
    }

    .navbar-reg-btns {
        display: none;
    }


    .hero-card-header {
        font-size: 30px;
    }

    .hero-page-text {
        font-size: 20px;
    }
}